Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 645518

Summary: media-libs/devil-1.8.0 version bump, drop IUSE=nvtt
Product: Gentoo Linux Reporter: Rafał Mużyło <galtgendo>
Component: Current packagesAssignee: Gentoo Games <games>
Status: CONFIRMED ---    
Severity: normal CC: sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=744679
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 770760    
Attachments: ebuild for v1.8.0

Description Rafał Mużyło 2018-01-23 23:01:18 UTC
Technically, it's just an old (released in 2017-01-02) version bump.

Yet, if only it was that simple...

One thing is the build system change from autoconf to cmake.

Yet much bigger problem is that in the about two months after that release, various fixes were made in the repo (while it can still be downloaded from sourceforge, the main repo now seems to be github), some of them being *build* 
fixes. Irregardless, no bugfix release had been made.

On the other hand, this version switched to lcms2, so it could be now restored.
Comment 1 Peter Asplund 2020-11-03 22:30:19 UTC
Created attachment 669959 [details]
ebuild for v1.8.0

I've re-written the latest ebuild in the official tree to use cmake instead.

I've also uploaded this to my overlay called 'AzP'.
Comment 2 Peter Asplund 2020-11-04 14:55:06 UTC
It doesn't seem to work very well though, and I haven't properly figured out the use flags to set on the cmake build.
They don't seem to match the ones on the older autotools build.